local MRB, C, L = unpack(select(2, ...))
MRB.Model = {
    playerBuffCache = {
        -- "Slainsvirtue" = { "Power Word: Fortitude", "Divine Spirit" },
    },
}

MRB.Model.callbacks = LibStub("CallbackHandler-1.0"):New(MRB.Model)


function MRB.Model:SetPlayerBuff(unit, missingBuffs)
    MRB.Model.playerBuffCache[unit] = (#missingBuffs > 0) and missingBuffs or nil
    MRB.Model.callbacks:Fire("updatedModel", unit)
end

function MRB.Model:RemoveAll()
    MRB.Model.playerBuffCache = {}
end

function MRB.Model:Get()
    return MRB.Model.playerBuffCache
end




MRB.Model.RegisterCallback(MRB.ADDON_NAME .. ".debug", "updatedModel", function(...)
    MRB:debug(...)
end)
